class BilligEvent < ActiveRecord::Base
  has_one :samfundet_event, class_name: "Event"
  has_many :billig_ticket_groups, foreign_key: :event

  scope :sale_applicable, -> { where("sale_to > ?", DateTime.current) }

  self.primary_key = :event
  attr_accessible :a4_ticket_layout, :dave_id, :dave_time_id, :event_location, :event_name, :event_note, :event_time, :event_type, :external_id, :organisation, :receipt_ticket_layout, :sale_from, :sale_to, :tp_ticket_layout

  def to_s
    event_name
  end
end
